﻿using System.Collections.Generic;

namespace ListviewNestedModel.ViewModel
{
    public interface IPlcDeviceVM
    {
        string Id { get; set; }
        string Text { get; set; }
        List<PlcVariableModel> PlcVariables { get; set; }
        string DisplayName { get; set; }
    }

    public class PlcDeviceVM : IPlcDeviceVM
    {
        public string Id { get; set; }
        public string Text { get; set; }
        public string DisplayName { get; set; }
        public List<PlcVariableModel> PlcVariables { get; set; }
    }

    public class PlcVariableModel
    {
        public string Value { get; set; }
        public string DisplayName { get; set; }
        public bool Type { get; set; }
    }
}